{
  "table_name": "task_work",
  "table_prefix": "taskw",
  "save_script": [],
  "field": [
    {
      "name": "task_id",
      "type": "uuid",
      "foreign_key": {
        "table": "task",
        "field": "record_id",
        "link_type": "delete with"
      }
    },
    {
      "name": "person_id",
      "type": "varchar",
      "length": 40,
      "foreign_key": {
        "table": "person",
        "field": "person_id",
        "link_type": "delete with"
      }
    },
    {
      "name": "task_work_type",
      "type": "varchar",
      "length": 40
    },
    {
      "name": "task_work_state",
      "type": "varchar",
      "length": 40
    },
    {
      "name": "start_time",
      "type": "timestamp with time zone"
    },
    {
      "name": "end_time",
      "type": "timestamp with time zone"
    },
    {
      "name": "work_time",
      "type": "double"
    },
    {
      "name": "info",
      "type": "text"
    },
    {
      "name": "json_data",
      "type": "jsonb"
    }
  ],
  "field_change": [
    {
      "name": "task_work_type",
      "old_name": [
        "type"
      ]
    },
    {
      "name": "task_work_state",
      "old_name": [
        "state"
      ]
    }
  ]
}
